Page MenuHomePhabricator

Accommodate storing more data in watchlist table [placeholder]
Closed, ResolvedPublic1 Estimated Story Points

Description

This will hopefully not be needed, depending on the impact of deploying watchlist expiration.

Event Timeline

Naike created this task.Aug 3 2020, 9:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2020, 9:44 AM
kaldari renamed this task from Potential expansion of watchlist table to Accommodate storing more data in watchlist table [placeholder].Aug 19 2020, 8:02 PM
kaldari updated the task description. (Show Details)
ifried added a subscriber: ifried.Aug 19 2020, 8:24 PM
Naike set the point value for this task to 1.Sep 11 2020, 10:49 AM

Hello, @eprodromou! You can follow progress regarding our conversations with the DBAs (and, consequently, whether or not any changes will need to be made to the watchlist expiry feature or the ability to store more data in the watchlist table) in T261005. Currently, we have received the go-ahead from the DBAs for our plan, so no additional work is necessary to determine changes to the watchlist table at the moment. The plan is to incrementally release to a group of pilot wikis. The DBAs will then monitor if the introduction of the feature impacts the table and if any further adjustments must be made. So, in short, we can hold off on looking into accommodating more data in the watchlist table until we hear word from the DBAs on next steps in T261005. Thanks!

See also T258098: Purge unused watchlist rows which should fee up a sizable amount of space in the watchlist table (depending on the wiki), and has some ideas about future-proofing. I believe this is a worthwhile pursuit regardless of what happens with watchlist expiry.

@ifried I'm going to close this ticket, then. Seems like we're in good shape. LMK if we can help out otherwise.

eprodromou closed this task as Resolved.Wed, Sep 23, 3:03 PM

Works for me. Thanks for the update, @eprodromou.